# vim: set sw=4 ts=4 et nu:

Name:               minidlna
Version:            1.0.22
Release:            2.6
Summary:            DLNA/UPnP-AV Server
Source:             http://prdownloads.sourceforge.net/minidlna/minidlna_%{version}_src.tar.gz
Source1:            minidlna.init.sh
Source2:            minidlna.lr
Patch1:             minidlna-config.patch
Source99:           %{name}-rpmlintrc
URL:                http://sourceforge.net/projects/minidlna/
Group:              Productivity/Multimedia/Sound/Utilities
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      sqlite3-devel
BuildRequires:      libjpeg-devel
BuildRequires:      libexif-devel
BuildRequires:      libid3tag-devel
BuildRequires:      libogg-devel
BuildRequires:      libvorbis-devel
BuildRequires:      flac-devel
BuildRequires:      ffmpeg-devel
BuildRequires:      lsb-release
BuildRequires:      distribution-release
BuildRequires:      logrotate
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
Recommends:         logrotate

%description
MiniDLNA (aka ReadyDLNA) is server software with the aim of being fully
compliant with DLNA/UPnP-AV clients.

%prep
%setup -q
%patch1

%build
./genconfig.sh
%__make %{?_smp_flags}

%install
%makeinstall

%__install -D -m0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/%{name}"
%__install -d "%{buildroot}%{_sbindir}"
%__ln_s "/etc/init.d/%{name}" "%{buildroot}%{_sbindir}/rc%{name}"

%__install -D -m0644 "%{SOURCE2}" "%{buildroot}/etc/logrotate.d/%{name}"

%__install -d -m0700 "%{buildroot}/var/cache/minidlna"

%preun
%stop_on_removal "%{name}"

%postun
%restart_on_update "%{name}"
%insserv_cleanup

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENCE* NEWS README TODO
%config(noreplace) %{_sysconfdir}/minidlna.conf
%{_sbindir}/minidlna
%attr(0700,root,root) %ghost /var/cache/minidlna
/etc/init.d/%{name}
%{_sbindir}/rc%{name}
%config(noreplace) /etc/logrotate.d/%{name}

%changelog
* Sun Nov 20 2011 pascal.bleser@opensuse.org
- initial version (1.0.22)
